name: keystone
summary: OpenStack identity service
maintainer: OpenStack Charmers <openstack-charmers@lists.ubuntu.com>
description: |
 Keystone is an OpenStack project that provides Identity, Token, Catalog and
 Policy services for use specifically by projects in the OpenStack family. It
 implements OpenStack's Identity API.
tags:
  - openstack
  - identity
  - misc
series:
  - xenial
  - bionic
  - artful
  - trusty
extra-bindings:
  public:
  admin:
  internal:
provides:
  nrpe-external-master:
    interface: nrpe-external-master
    scope: container
  identity-service:
    interface: keystone
  identity-notifications:
    interface: keystone-notifications
  identity-admin:
    interface: keystone-admin
  identity-credentials:
    interface: keystone-credentials
requires:
  shared-db:
    interface: mysql-shared
  ha:
    interface: hacluster
    scope: container
  domain-backend:
    interface: keystone-domain-backend
    scope: container
  keystone-fid-service-provider:
    interface: keystone-fid-service-provider
    scope: container
  websso-trusted-dashboard:
    interface: websso-trusted-dashboard
  certificates:
    interface: tls-certificates
peers:
  cluster:
    interface: keystone-ha
